Loading...
Searching...
No Matches
Gudhi::Persistence_representations::Topological_data_with_averages Class Reference

The concept Topological_data_with_averages describes the requirements for a type to implement a container that allows computations of averages. Note that the average object after being computed is stored in *this. More...

`#include <concept/Persistence_representations/Topological_data_with_averages.h>`

## Detailed Description

The concept Topological_data_with_averages describes the requirements for a type to implement a container that allows computations of averages. Note that the average object after being computed is stored in *this.

The documentation for this class was generated from the following file:

- concept/Persistence_representations/Topological_data_with_averages.h